ros-noetic-resized-image-transport (1.2.19-1focal) focal; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.18-1focal) focal; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738> )
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 09 May 2025 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.17-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 13 Nov 2023 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.16-1focal) focal; urgency=high

  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 09 Nov 2023 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.15-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.14-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.13-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2020 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.12-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 02 Oct 2020 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.11-1focal) focal; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * resized_image_transport/src/log_polar_nodelet.cpp fix for opencv4
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Remove unnecessary dependency duplication and comments in package.xml
      * Add test for LogPolar
      * Add sample for LogPolar
    
  * Contributors: Kei Okada, Shingo Kitagawa, Yuki Furuta, Yuto Uchimi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 30 Sep 2020 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.10-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 26 Mar 2019 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.9-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 22 Feb 2019 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.8-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 21 Feb 2019 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.7-1focal) focal; urgency=high

  * [resized_image_transport] install resized_image_transport (#2390 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2390> )
  * Contributors: Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 13 Feb 2019 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.6-1focal) focal; urgency=high

  * Call USE_SOURCE_PERMISSIONS before PATTERN(#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * [resized_image_transport] Changed diagnostic error level (#2312 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2312>)
    * add version_gte for jsk_topic_tools
  * fix for jsk-ros-pkg/jsk_common/pull/1586 (#2311 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2311>)
  * Contributors: Yuki Furuta, Yuto Uchimi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.5-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.4-1focal) focal; urgency=high

  * Fix uninitialized pointer error in some recognition nodelets (#2234 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2234>)
    * [image_processing] Check validity of vital checker in updateDiagnostic because this callback might be called before initPublishersAndSubscribers is finished
  * Contributors: Iori Kumagai

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jan 2018 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.3-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Nov 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.2-1focal) focal; urgency=high

  * current source code needs jsk_topic_tools >= 2.2.4 (#2173 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2173>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 22 Jul 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.1-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 14 Jul 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.2.0-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 14 Jul 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.1.3-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.1.2-1focal) focal; urgency=high

  * Remove dependency of resized_image_transport on jsk_perception (#2075 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2075> )
  * Generate README by script (#2064 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2064> )
  * Improve documentation and example of image_resizer (#2056 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2056> )
    * Add description about rosparam in docmodified:   doc/resized_image_transport/nodes/image_resizer.rst
    
    new file:   resized_image_transport/doc
    
      * Add sample for image_resizer
        - deleted:    resized_image_transport/launch/example.launch
        - new file:   resized_image_transport/launch/sample_image_resizer.launch
        - modified:   resized_image_transport/test/image_resizer.test
    
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 15 Jun 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.1.1-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 03 Mar 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.1.0-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.0.4-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.0.3-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 07 Feb 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.0.2-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 11 Jan 2017 15:00:00 -0000

ros-noetic-resized-image-transport (1.0.1-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 15:00:00 -0000

ros-noetic-resized-image-transport (1.0.0-1focal) focal; urgency=high

  * Merge branch 'master' into fix_for_kinetic
  * remove depends to driver_base
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 11 Dec 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.29-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.28-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.27-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.26-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 26 Oct 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.25-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 15 Sep 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.24-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.23-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.22-1focal) focal; urgency=high

  * .travis.yml: add test to check if this works with release repository (#1595)
    * .travis.yml: add test to check if this works with release repository
    * update jsk_travis to 0.4.1
    * resized_image_transport: fix to work with jsk_topic_tools < 2.0.10
    * update jsk_travis 0.4.2
  * Add onInitPostProcess for image_resizer (#1590)
    Modified:
    - resized_image_transport/src/image_resizer_nodelet.cpp
  * [resized_image_transport] Add test for image_resizer (#1589)
    * Fix deprecated error about advertiseCamera
    Modified:
    - resized_image_transport/src/image_processing_nodelet.cpp
    * Test if image_resizer's output topic is published
    Modified:
    - resized_image_transport/CMakeLists.txt
    Added:
    - resized_image_transport/test/image_resizer.test
  * Contributors: Kei Okada, Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 12 Sep 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.21-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 14 Apr 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.20-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 13 Apr 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.19-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 21 Mar 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.18-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.17-1focal) focal; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which is only used for rosbuild
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.16-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Feb 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.15-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Feb 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.14-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.13-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 18 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.12-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 18 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.11-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 17 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.10-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.9-1focal) focal; urgency=high

  * [resized_image_transport] Use jsk_topic_tools::DiagnosticNodelet to omit
    meaningless computation
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 13 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.8-1focal) focal; urgency=high

  * Use ccache if installed to make it fast to generate object file
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 07 Dec 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.7-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.6-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.5-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 08 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.4-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 06 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.3-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 05 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.2-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 04 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.1-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 03 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.3.0-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 03 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.18-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 03 Sep 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.17-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 20 Aug 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.16-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.15-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Aug 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.14-1focal) focal; urgency=high

  * src/log_polar_nodelet.cpp : convert fro milimage to cvmat
  * [resized_image_transport] Initialize vital_checkers first
  * [resized_image_transport] Add diagnostic information
  * Contributors: Kei Okada, Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 12 Aug 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.13-1focal) focal; urgency=high

  * [resized_image_transport] Fix coding style of image_processing_nodelet.cpp
  * [resized_image_transport] Do not require synchronized input topics of
    camera info and image unless ~use_camera_subscriber is true
  * [resized_image_transport] untabify source code
  * [resized_image_transport] Advertise publishers before subscribing topics
  * [resized_image_transport] Supress output from image_resizer
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.12-1focal) focal; urgency=high

  * [resized_image_transport] Fix dynamic_reconfigure name in LogPolar
  * [resized_image_transport] Pass private nodehandle to dynamic_reconfigure to set handle the name of dynamic_reconfigrue in nodelet correctly
  * [resized_image_transport] change from linear to non-linear
  * rename to NODELET info and short fix
  * [resized_image_transport] image_resizer_nodelet resize rate feedback
  * Contributors: Kamada Hitoshi, Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 03 May 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.11-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 12 Apr 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.10-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.9-1focal) focal; urgency=high

  * 0.2.8
  * Update Changelog
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.8-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.7-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.6-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.5-1focal) focal; urgency=high

  * [resized_image_transport] Fix ordert to read rosparam and set
    dynamic_reconfigure to use initial value of dynamic_reconfigure correctly
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 16 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.4-1focal) focal; urgency=high

  * [resized_image_transport] Publish scale information
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 07 Mar 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.3-1focal) focal; urgency=high

  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 01 Feb 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.2-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.1-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.2.0-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.34-1focal) focal; urgency=high

  * depending on cv_bridge is recommended, see http://wiki.ros.org/indigo/Migration#OpenCV
  * [jsk_pcl_ros, jsk_perception, resized_image_transport] Do not include
    jsk_topic_tools/nodelet.cmake because it is exported by CFG_EXTRAS
  * [resized_image_transport] Fix jsk_topic_tools/nodelet.cmake path
  * Contributors: Ryohei Ueda, Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.33-1focal) focal; urgency=high

  * add parameter to select interpolation method
  * Contributors: Yusuke Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 23 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.32-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 11 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.31-1focal) focal; urgency=high

  * not include image prosessing config
  * add log polar sample
  * add include directory
  * implement resize image processing
  * implement log-polar processing
  * add base class for processing image
  * add sample launch file
  * add LogPolar.cfg
  * add first sample

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.30-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 23 Dec 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.29-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 23 Dec 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.28-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 16 Dec 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.27-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.26-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 22 Nov 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.25-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 20 Nov 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.24-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 14 Nov 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.23-1focal) focal; urgency=high

  * Install nodelet executables
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 08 Oct 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.22-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 23 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.21-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 19 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.20-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 16 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.19-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 14 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.18-1focal) focal; urgency=high

  * Creating publisher before subscribe topics in resized_image_transport
  * Supress messages from resized_image_transport
  * Contributors: Ryohei Ueda

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 12 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.17-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 06 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.16-1focal) focal; urgency=high

  * remove static variables from ImageResizer because now it is used as
    nodelet
  * add client for resize image
  * Contributors: Ryohei Ueda, Yusuke Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.14-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 31 Jul 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.13-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 28 Jul 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.12-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 23 Jul 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.11-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 07 Jul 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.10-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 06 Jul 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.9-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 30 Jun 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.8-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 28 Jun 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.7-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 30 May 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.6-1focal) focal; urgency=high

  * src/image_resizer.cpp: fix to compile on rosbuild

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 29 May 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.5-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 28 May 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.4-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 24 Apr 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.3-1focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 11 Apr 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.2-1focal) focal; urgency=high

  * use find_module to check catkin/rosbuild to pass git-buildpackage
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Apr 2014 15:00:00 -0000

ros-noetic-resized-image-transport (0.1.1-1focal) focal; urgency=high

  * #11 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/11>: add depend tags
  * add depend to driver_base
  * add update with message
  * simplify example and rename to example.launch
  * fix bugs whcn resize paramater is 0, see issue #252 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/252>
  * use Kbps not kB, issue #253 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/253>
  * updating for catkin
  * add option to change fps, rename image_type->image, see Issue 248
  * mv resized_imagetransport resized_image_transport
  * Contributors: Ryohei Ueda, Kei Okada, Youhei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 09 Apr 2014 15:00:00 -0000


